document.addEventListener("DOMContentLoaded", function() {
  document.getElementById("btn-potongan").disabled = true;
});
document.addEventListener("DOMContentLoaded", function() {
  document.getElementById("btn-potongan-dp").disabled = true;
  document.getElementById("potongandp").disabled = true;
  document.getElementById("potongan").disabled = true;
});

function search(){
    $("#loading").show(); // Tampilkan loadingnya
    
    $.ajax({
          type: "POST", // Method pengiriman data bisa dengan GET atau POST
          url: baseurl + "invoice/search", // Isi dengan url/path file php yang dituju
          data: {no_pendaftaran : $("#no_pendaftaran").val()}, // data yang akan dikirim ke file proses
          dataType: "json",
          beforeSend: function(e) {
              if(e && e.overrideMimeType) {
                  e.overrideMimeType("application/json;charset=UTF-8");
              }
      },
      success: function(response){ // Ketika proses pengiriman berhasil
        $("#loading").hide(); // Sembunyikan loadingnya
              
        if(response.status == "success"){ // Jika isi dari array status adalah success
                  $("#nama_lengkap").val(response.nama_lengkap); // set textbox 
                  $("#sekolah_asal").val(response.sekolah_asal); // set textbox                  
                  $("#kompetensi").val(response.kompetensi); // set textbox 
                  $("#gelombang").val(response.gelombang); // set textbox         
                  $("#biayappdb").val(response.biaya); // set textbox     
                  $("#total").val(response.ketentuan); // set textbox     
                  $("#realbiaya").val(response.biaya_pendaftaran); // set textbox     
                  $("#potongan_gel_1").val(response.potgel); // set textbox        
                  $("#potongan_dp").val(response.potsekolah); // set textbox        
                 
                  $("#nama_ayah").val(response.nama_ayah); // set textbox  
                  $("#tlp_ayah").val(response.tlp_ayah); // set textbox 
                  $("#nama_ibu").val(response.nama_ibu); // set textbox  
                  $("#tlp_ibu").val(response.tlp_ibu); // set textbox    
                  document.getElementById("btn-potongan").disabled = false;
                  document.getElementById("potongan").disabled = false;
                  if(response.gelombang == "Gelombang 1"){
                  document.getElementById("btn-potongan-dp").disabled = false;
                  document.getElementById("potongandp").disabled = false;
                  }

        }  else if(response.status == "belum"){ 

          alert("Peserta Belum pengumuman / Belum Lulus");
        }else{ // Jika isi dari array status adalah failed
          alert("No. Pendaftaran Tidak Ditemukan / Sudah Membuat Invoice!");
        }
      },
          error: function (xhr, ajaxOptions, thrownError) { // Ketika ada error
        alert(xhr.responseText);
          }
      });
  }
  
  $(document).ready(function(){
    $("#loading").hide(); // Sembunyikan loadingnya
    
      $("#btn-search").click(function(){ // Ketika user mengklik tombol Cari
          search(); // Panggil function search
      });
      
      $("#no_pendaftaran").keyup(function(){ // Ketika user menekan tombol di keyboard
      if(event.keyCode == 13){ // Jika user menekan tombol ENTER
        search(); // Panggil function search
      }
    });
  });
  